org.jbpm.kie.services.impl.query

## Class AggregateColumnFilter

- java.lang.Object
- - org.jbpm.kie.services.impl.query.AggregateColumnFilter

- All Implemented Interfaces:
    Serializable

      public class AggregateColumnFilter
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AggregateColumnFilter(org.dashbuilder.dataset.group.AggregateFunctionType type, String columnId, String newColumnId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getColumnId()`
    `String` | `getNewColumnId()`
    `org.dashbuilder.dataset.group.AggregateFunctionType` | `getType()`
    `int` | `hashCode()`
    `void` | `setColumnId(String columnId)`
    `void` | `setNewColumnId(String newColumnId)`
    `void` | `setType(org.dashbuilder.dataset.group.AggregateFunctionType type)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AggregateColumnFilter

          public AggregateColumnFilter(org.dashbuilder.dataset.group.AggregateFunctionType type,
                                       String columnId,
                                       String newColumnId)

  - ### Method Detail

    - #### getType

          public org.dashbuilder.dataset.group.AggregateFunctionType getType()

    - #### setType

          public void setType(org.dashbuilder.dataset.group.AggregateFunctionType type)

    - #### getColumnId

          public String getColumnId()

    - #### setColumnId

          public void setColumnId(String columnId)

    - #### getNewColumnId

          public String getNewColumnId()

    - #### setNewColumnId

          public void setNewColumnId(String newColumnId)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.